#include <iostream>

using namespace std;

int main()
{
    int N,M,sreca=0;
    cin>>N>>M;
    int druzeljubivost[N],brojac[N]={0};
    for (int i=0;i<N;i++)
    {
        cin>>druzeljubivost[i];
    }
    for (int i=0;i<M;i++)
    {
        int n,k;
        cin>>n>>k;
        int n1=druzeljubivost[n-1];
        int k1=druzeljubivost[k-1];
        if (n1>=0 && k1>=0)
        {
            brojac[n-1]++;
            brojac[k-1]++;
        }
        else if(n1<0 && k1<0)
        {
            brojac[n-1]--;
            brojac[k-1]--;
        }
        else if(n1>=0 && k1<0)
        {
            if(n1*n1>=k1*k1)
            {
                brojac[n-1]++;
                brojac[k-1]++;
            }
            else
            {
                brojac[n-1]--;
                brojac[k-1]--;
            }
        }
        else if(n1<0 && k1>=0)
        {
            if(n1*n1>=k1*k1)
            {
                brojac[n-1]--;
                brojac[k-1]--;
            }
            else
            {
                brojac[n-1]++;
                brojac[k-1]++;
            }
        }


    }
    for(int i=0;i<N;i++)
        {
            sreca+=druzeljubivost[i]*brojac[i];
        }
        cout<<sreca;
        return 0;
}